0
0 ItemsS$0.00

Radial Leaded Power Inductors :

8 Products Found

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price (inc GST)
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
2457933

RoHS

Each
1+ S$2.060(S$2.2454)
5+ S$1.910(S$2.0819)
10+ S$1.750(S$1.9075)
25+ S$1.610(S$1.7549)
50+ S$1.430(S$1.5587)
More Pricing...
RFC1010 Series
18mH
Unshielded
150mA
210mA
25ohm
± 10%
3011798

RoHS

Each
10+ S$2.020(S$2.2018)
50+ S$1.640(S$1.7876)
300+ S$0.948(S$1.0333)
600+ S$0.806(S$0.8785)
1200+ S$0.755(S$0.823)
More Pricing...
SBCP Series
560µH
Unshielded
210mA
210mA
3.1ohm
± 10%
3290929

RoHS

Each
10+ S$1.300(S$1.417)
50+ S$1.190(S$1.2971)
100+ S$1.070(S$1.1663)
500+ S$0.967(S$1.054)
1000+ S$0.894(S$0.9745)
More Pricing...
SBC Series
2.2mH
Unshielded
190mA
210mA
5.62ohm
± 10%
3290895

RoHS

Each
1+ S$2.110(S$2.2999)
10+ S$1.610(S$1.7549)
50+ S$1.530(S$1.6677)
100+ S$1.420(S$1.5478)
500+ S$1.250(S$1.3625)
More Pricing...
SBC Series
1mH
Unshielded
180mA
210mA
4ohm
± 10%
2457900

RoHS

Each
1+ S$2.090(S$2.2781)
5+ S$1.930(S$2.1037)
10+ S$1.770(S$1.9293)
25+ S$1.610(S$1.7549)
50+ S$1.440(S$1.5696)
More Pricing...
RFC0810 Series
10mH
Unshielded
170mA
210mA
19.5ohm
± 10%
2457826

RoHS

Each
1+ S$2.100(S$2.289)
5+ S$1.950(S$2.1255)
10+ S$1.790(S$1.9511)
25+ S$1.650(S$1.7985)
50+ S$1.460(S$1.5914)
More Pricing...
RFB1010 Series
8.2mH
Unshielded
220mA
210mA
15.8ohm
± 10%
2457866

RoHS

Each
1+ S$1.450(S$1.5805)
5+ S$1.340(S$1.4606)
10+ S$1.230(S$1.3407)
25+ S$1.120(S$1.2208)
50+ S$0.996(S$1.0856)
More Pricing...
RFC0807 Series
10mH
Unshielded
125mA
210mA
28ohm
± 10%
3290885

RoHS

Each
10+ S$0.912(S$0.9941)
50+ S$0.867(S$0.945)
100+ S$0.734(S$0.8001)
500+ S$0.672(S$0.7325)
1000+ S$0.576(S$0.6278)
More Pricing...
SBC Series
470µH
Unshielded
300mA
210mA
2.4ohm
± 10%
1-8 of 8 items
of 1 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
PayPal